use crate::error::Result;
use actix_web::{HttpResponse, web};

use crate::AppState;

pub async fn global_repos(app_state: web::Data<AppState>) -> Result<HttpResponse> {
    let repos = app_state.user.global_repositories().await?;
    Ok(repos)
}
